Bug 1799030 - Release Image failures for Cluster Etcd Operator
Summary: Release Image failures for Cluster Etcd Operator
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Etcd Operator
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 4.4.0
Assignee: Sam Batschelet
QA Contact: ge liu
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-06 13:42 UTC by Joel Speed
Modified: 2020-05-13 21:56 UTC (History)
0 users

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-13 21:56:30 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift release pull 7049 0 None closed Bug 1799030: ci-operator/config/openshift/cluster-etcd-operator: fix Dockerfile ref in 4.{4,5,6} . 2020-04-23 11:54:52 UTC
Red Hat Product Errata RHBA-2020:0581 0 None None None 2020-05-13 21:56:31 UTC

Description Joel Speed 2020-02-06 13:42:01 UTC
Etcd release image builds have been failing since https://github.com/openshift/cluster-etcd-operator/pull/87 was merged. Looks like there was a paired PR to openshift/release which modified some of the config for the master image builds, but missed updating the release branches.

Builds currently can't find the right dockerfile eg https://prow.svc.ci.openshift.org/view/gcs/origin-ci-test/logs/branch-ci-openshift-cluster-etcd-operator-release-4.4-images/38

2020/02/06 12:06:33 Build cluster-etcd-operator failed, printing logs:
Pulling image "docker-registry.default.svc:5000/ci-op-fsgspppy/pipeline@sha256:7db284329fd3084a7863cd2e2c4713c37d9b3e8fbfc45cdf30d516b31ae5399b" ...
error: open /tmp/build/inputs/Dockerfile: no such file or directory

Comment 2 ge liu 2020-02-18 06:48:20 UTC
Checked ci job recently, this issue have not appears, so verify it.

Comment 4 errata-xmlrpc 2020-05-13 21:56:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.